> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a sample webhook

> Send a sample webhook for testing integrations. This will include the webhook secret in the `Authorization` header if a secret has been set. Data in this example is illustrative only.



## OpenAPI

````yaml /openapi-public.yml post /api/v1/notifications/sample
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/notifications/sample:
    post:
      tags:
        - Notifications
      summary: Send a sample webhook
      description: >-
        Send a sample webhook for testing integrations. This will include the
        webhook secret in the `Authorization` header if a secret has been set.
        Data in this example is illustrative only.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                event_code:
                  type: string
                  example: order.shipped.SAMPLE
                  description: 'Event code for the sample payload. Thee '
                webhook_url:
                  type: string
                  example: https://example.com/webhook
                  description: URL of the your listener URL to receive the webhook
      responses:
        '200':
          description: Successful response with sample webhook details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationSamplePost'
components:
  schemas:
    NotificationSamplePost:
      type: object
      allOf:
        - $ref: '#/components/schemas/NotificationSampleGet'
        - type: object
          properties:
            message:
              type: string
              example: Sample webhook sent successfully
            webhook_url:
              type: string
              example: https://example.com/webhook
              description: URL of the webhook that received the event
    NotificationSampleGet:
      type: object
      properties:
        event_code:
          type: string
          example: order.shipped.SAMPLE
          description: Event code as provided
        payload_preview:
          $ref: '#/components/schemas/NotificationSamplePayload'
          description: Preview of the webhook payload
    NotificationSamplePayload:
      type: object
      properties:
        carrier:
          type: string
          example: USPS
        created_at:
          type: string
          format: date-time
          example: '2025-07-31T17:13:13.520283'
        external_id:
          type: string
          example: my-id-128318AA2
          description: >-
            If you have provided an external ID for the order, this will be
            returned in the payload.
        id:
          type: string
          format: uuid
          example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
          description: Order ID
        order_number:
          type: string
          example: ORD250312003548IAU4
          description: Order number
        shipped_at:
          type: string
          format: date-time
          example: '2025-07-31T17:13:13.520304'
          description: Date and time the shipment was marked shipped.
        service_level:
          type: string
          example: Ground Advantage
        status:
          type: string
          example: shipped
        tracking_number:
          type: string
          example: '9200190347375200504724'
        tracking_url:
          type: string
          example: >-
            https://tools.usps.com/go/TrackConfirmAction_input?origTrackNum=9200190347375200504724
        updated_at:
          type: string
          format: date-time
          example: '2025-07-31T17:13:13.520304'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````